Skip to main content
`Ctrl`+`K`

# PetscDSGetNumFields

Returns the number of fields in the `PetscDS`

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetNumFields(PetscDS prob, PetscInt *Nf)

Not Collective

## Input Parameter

- prob - The `PetscDS` object

## Output Parameter

- Nf - The number of fields

## See Also

`PetscDS`, `PetscDSGetSpatialDimension()`, `PetscDSCreate()`

## Level

beginner

## Location

src/dm/dt/interface/dtds.c

## Examples

src/ts/tutorials/ex18.c
src/snes/tutorials/ex26.c
src/ts/tutorials/ex53.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages